using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class InputManager : MonoBehaviour, IBase, IBootLoader, IDataLoader
{
    public bool IsInputEnabled
    {
        get;
        private set;
    }

    public float DiceRolledValue
    {
        get;
        private set;
    }

    public GameplayManager GameplayManager
    {
        get; private set;
    }

    public void Initialize()
    {
        InterfaceManager.Instance?.RegisterInterface<InputManager>(this);
    }

    public void InitializeData()
    {
        GameplayManager = InterfaceManager.Instance?.GetInterfaceInstance<GameplayManager>();
    }

    public void SetInputState(bool state)
    {
        IsInputEnabled = state;
    }

    public void SetDiceRollValue(int currentRolledVal)
    {
        DiceRolledValue = currentRolledVal;
        GameplayManager.OnDiceRolled(currentRolledVal);
    }

}
